## com.nwalsh.saxon6
Class CVS

    java.lang.Object
      |
      +--com.nwalsh.saxon6.CVS

public class CVS
extends java.lang.Object

Saxon extension to convert CVS date strings into local time

$Id: CVS.java,v 1.2 2000/11/28 14:59:48 ndw Exp $

Copyright (C) 2000 Norman Walsh.

This class provides a Saxon extension to turn the CVS date strings, which are UTC:

    $Date: 2000/11/09 02:34:20 $

into legibly formatted local time:

    Wed Nov 08 18:34:20 PST 2000

(I happened to be in California when I wrote this documentation.)

Change Log:

1.0

  Initial release.

Constructor Summary
`CVS()` Constructor for CVS

Method Summary
`static java.lang.String` `localTime(java.lang.String cvsDate)` Convert a CVS date string into local time.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CVS

    public CVS()

  Constructor for CVS

  All of the methods are static, so the constructor does nothing.

Method Detail

### localTime

    public static java.lang.String localTime(java.lang.String cvsDate)

  Convert a CVS date string into local time.

  Parameters:
    `cvsDate` - The CVS date string.
  Returns:
    The date, converted to local time and reformatted.